lnkinfo

NAME
lnkinfo - determines information about a Windows Shortcut File (LNK)

SYNOPSIS
lnkinfo [-c codepage] [-hvV] source

DESCRIPTION
lnkinfo is a utility to determine information about a Windows Shortcut File (LNK)

lnkinfo is part of the liblnk package. liblnk is a library to access the Windows Shortcut File (LNK) format

source is the source file.

The options are as follows:

-c codepage
    specify the codepage of ASCII strings, options: ascii, windows-874, windows-932, windows-936, windows-949, windows-950, windows-1250, windows-1251, windows-1252 (default), windows-1253, windows-1254, windows-1255, windows-1256, windows-1257 or windows-1258

-h  shows this help

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # lnkinfo Calculator.lnk
    lnkinfo 20110711
    Windows Shortcut information:
    	Contains a link target identifier
    	Contains a description string
    	Contains a working directory string
    	Contains an environment variables block
    Link information:
    	Creation time			: Aug 10, 2004 16:54:24.000000 UTC
    	Modification time		: Aug 04, 2004 14:00:00.000000 UTC
    	Access time			: Jun 26, 2006 10:36:41.703125 UTC
    	Local path			: C:WINDOWSystem32
    	Description			: @%SystemRoot%ystem32hell32.dll,-22531
    	Working directory		: C:WINDOWSystem32
    	Environment variables location	: %SystemRoot%ystem32
    Distributed link tracking data:
    	Machine identifier		: hostname
    	Droid volume identifier		: f6084ef7-7b6a-41e7-a286-e376c0ffd656
    	Droid file identifier		: b7d0e438-4422-48b0-be9d-b4bc8794cef6
    	Birth droid volume identifier	: f6084ef7-7b6a-41e7-a286-e376c0ffd656
    	Birth droid file identifier	: b7d0e438-4422-48b0-be9d-b4bc8794cef6

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: http://code.google.com/p/liblnk/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (c) 2009-2013, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO